summaryrefslogtreecommitdiffstats
path: root/office/LibreOffice/LibreOffice.SlackBuild
diff options
context:
space:
mode:
author Christoph Willing2016-01-30 19:35:42 +0100
committer Willy Sudiarto Raharjo2016-02-05 01:02:40 +0100
commit51f769eb7ad6a51a1b4e671485626a04b2a6f4ce (patch)
treee19c6fae231aa74c65545d0a03311fef592838f3 /office/LibreOffice/LibreOffice.SlackBuild
parent504d2cf4a83362597fab1ca53dbb2e639029e860 (diff)
downloadslackbuilds-51f769eb7ad6a51a1b4e671485626a04b2a6f4ce.tar.gz
office/LibreOffice: Added (LibreOffice Productivity Suite).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/LibreOffice/LibreOffice.SlackBuild')
-rw-r--r--office/LibreOffice/LibreOffice.SlackBuild205
1 files changed, 205 insertions, 0 deletions
diff --git a/office/LibreOffice/LibreOffice.SlackBuild b/office/LibreOffice/LibreOffice.SlackBuild
new file mode 100644
index 0000000000..eef88c26b7
--- /dev/null
+++ b/office/LibreOffice/LibreOffice.SlackBuild
@@ -0,0 +1,205 @@
+#!/bin/sh
+#
+# ex:set ai shiftwidth=4 inputtab=spaces smarttab noautotab:
+
+# Slackware build script for LibreOffice
+
+# Copyright 2015-2016 Christoph Willing Brisbane, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=LibreOffice
+SRCNAM=libreoffice
+VERSION=${VERSION:-5.0.4.2}
+SHORT_VERSION=${VERSION%.*.*}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PACKAGER=${PACKAGER:-"AnonymousCoward"}
+
+HAVE_SRCS_TARBALL=${HAVE_SRCS_TARBALL:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+
+if [ "$HAVE_SRCS_TARBALL" = "1" ]; then
+ tar xvf $CWD/$SRCNAM-${VERSION}-srcs.tar.xz
+fi
+
+mkdir -p src
+for aname in $SRCNAM-{dictionaries,help,translations}-$VERSION.tar.xz ; do
+ if [ -f $CWD/$aname ]; then
+ cp -p $CWD/$aname src/
+ fi
+done
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# LibreOffice.info REQUIRES jdk
+[ -z $JAVA_HOME ] && . /etc/profile.d/jdk.sh
+
+./configure \
+ CFLAGS="$SLKCFLAGS" \
+ NSS_CFLAGS="$(pkg-config --cflags-only-I mozilla-nss)"\
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --build=$ARCH-slackware-linux \
+ --with-build-version="SlackBuild for $PRGNAM-$VERSION by $PACKAGER" \
+ --with-vendor="Just Another Slacker" \
+ --enable-release-build=yes \
+ --enable-python="system" \
+ --enable-gio \
+ --enable-kde4 \
+ --enable-avahi \
+ --enable-vlc \
+ --with-x \
+ --with-tls="nss" \
+ --without-krb5 \
+ --without-gssapi \
+ --without-junit \
+ --with-ant-home=lib$LIBDIRSUFFIX/apache-ant \
+ --with-system-boost \
+ --with-system-cairo \
+ --with-system-curl \
+ --with-system-dicts \
+ --with-system-expat \
+ --with-system-glew \
+ --with-system-harfbuzz \
+ --with-system-hunspell \
+ --with-system-icu \
+ --with-system-jpeg \
+ --with-system-lcms2 \
+ --with-system-libpng \
+ --with-system-librevenge \
+ --with-system-libwpd \
+ --with-system-libwpg \
+ --with-system-libxml \
+ --with-system-mariadb \
+ --enable-ext-mariadb-connector \
+ --with-system-mesa-headers \
+ --with-system-neon \
+ --with-system-nss \
+ --with-system-openssl \
+ --with-system-poppler \
+ --with-system-redland \
+ --with-system-sane \
+ --with-system-zlib \
+
+
+#Create a srcs tarball if we don't already have one
+#
+if [ "$HAVE_SRCS_TARBALL" = "0" ]; then
+ make fetch
+ tar cvf - external/tarballs \
+ --exclude="external/tarballs/libreoffice-help-${VERSION}*" \
+ --exclude="external/tarballs/libreoffice-dictionaries-${VERSION}*" \
+ --exclude="external/tarballs/libreoffice-binfilter-$VERSION}*" \
+ --exclude="external/tarballs/libreoffice-translations-${VERSION}*" \
+ | xz -c > $CWD/$SRCNAM-$VERSION-srcs.tar.xz
+ echo ; echo "Run build script again with HAVE_SRCS_TARBALL=1"
+ exit 0
+fi
+
+
+export LDFLAGS="-lboost_system"
+make build
+make distro-pack-install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cd $PKG/usr/lib$LIBDIRSUFFIX
+mv $SRCNAM $SRCNAM-$VERSION
+ln -s $SRCNAM-$VERSION $SRCNAM
+cd -
+
+for df in $PKG/usr/lib$LIBDIRSUFFIX/$SRCNAM-$VERSION/share/xdg/*.desktop ; do
+ sed -i -e "s/libreofficedev$SHORT_VERSION/libreoffice/g" $df
+done
+
+PYSITEDIR=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
+mkdir -p $PKG/$PYSITEDIR
+cat <<EOF >$PKG/$PYSITEDIR/pyuno.pth
+import sys; sys.path.insert(0,'/usr/lib$LIBDIRSUFFIX/libreoffice/program')
+EOF
+chmod 0644 $PKG/$PYSITEDIR/pyuno.pth
+
+mkdir -p $PKG/etc/profile.d
+sd_prog=/usr/lib$LIBDIRSUFFIX/libreoffice/program
+cat <<EOF >$PKG/etc/profile.d/libreoffice.sh
+export UNO_PATH=$sd_prog
+export URE_BOOTSTRAP=vnd.sun.star.pathname:$sd_prog/fundamentalrc
+export PATH=\${PATH}:$sd_prog
+EOF
+cat <<EOF >$PKG/etc/profile.d/libreoffice.csh
+setenv UNO_PATH $sd_prog
+setenv URE_BOOTSTRAP vnd.sun.star.pathname:$sd_prog/fundamentalrc
+setenv PATH \$PATH:$sd_prog
+EOF
+chmod 0755 $PKG/etc/profile.d/libreoffice.{csh,sh}
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}